use {Channel, User};

#[derive(Clone)]
pub enum Event<'a> {
    Message { sender: User<'a>, channel: Option<Channel<'a>>, content: String },
    Join { channel: Channel<'a> },
    Quit { channel: Channel<'a> }
}
